Bug 203948 - [NEW PORT] multimedia/qmmp-qt4, multimedia/qmmp-plugin-pack: Update to 1.0.1
Summary: [NEW PORT] multimedia/qmmp-qt4, multimedia/qmmp-plugin-pack: Update to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: feature, needs-qa, patch, patch-ready
Depends on: 203962
Blocks: 203559
  Show dependency treegraph
 
Reported: 2015-10-22 07:31 UTC by SimaMoto,RyōTa
Modified: 2015-12-25 17:43 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
multimedia/Makefile, multimedia/qmmp, multimedia/qmmp-plugin-pack, multimedia/qmmp-qt4, and multimedia/qmmp-plugin-pack-qt4 (39.73 KB, patch)
2015-10-22 07:31 UTC, SimaMoto,RyōTa
no flags Details | Diff
new port & update (39.74 KB, patch)
2015-11-20 12:58 UTC, SimaMoto,RyōTa
koobs: maintainer-approval+
Details | Diff
new port & update (ok for 10.1preR) (39.75 KB, patch)
2015-12-03 05:58 UTC, SimaMoto,RyōTa
no flags Details | Diff
testcase log for multimedia/qmmp-qt4 on 10.1preR (892.08 KB, text/x-log)
2015-12-03 06:05 UTC, SimaMoto,RyōTa
no flags Details
testcase log for multimedia/qmmp-plugin-pack-qt4 on 10.1preR (92.09 KB, text/x-log)
2015-12-03 06:07 UTC, SimaMoto,RyōTa
no flags Details
testcase log for multimedia/qmmp on 10.1preR (919.13 KB, text/x-log)
2015-12-03 06:10 UTC, SimaMoto,RyōTa
no flags Details
testcase log for multimedia/qmmp-plugin-pack on 10.1preR (89.36 KB, text/x-log)
2015-12-03 06:14 UTC, SimaMoto,RyōTa
no flags Details
qmmp-1.0.4, qmmp-qt4-0.9.5, qmmp-plugin-pack-1.0.2, and qmmp-plugin-pack-qt4-0.9.3 (39.84 KB, patch)
2015-12-22 12:35 UTC, SimaMoto,RyōTa
no flags Details | Diff
qmmp-0.9.5, qmmp-qt5-1.0.4, qmmp-plugin-pack-0.9.3, and qmmp-plugin-pack-qt5-1.0.2 (37.22 KB, patch)
2015-12-23 08:14 UTC, SimaMoto,RyōTa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SimaMoto,RyōTa 2015-10-22 07:31:50 UTC
Created attachment 162342 [details]
multimedia/Makefile, multimedia/qmmp, multimedia/qmmp-plugin-pack, multimedia/qmmp-qt4, and multimedia/qmmp-plugin-pack-qt4

qmmp-1.0.1, qmmp-plugin-pack-1.0.1, and
new ports qmmp-qt4-0.9.3, qmmp-plugin-pack-qt4-0.9.2

The qmmp series (multimedia/qmmp, and multimedia/qmmp-plugin-pack) had been
splitted in two branches of Qt4-based and Qt5-based products by the upstream
developers.  Unfortunately these staffs has the same paths and filenames in
destinated file system trees.

This report suggests to append PKGNAMESUFFIX with "-qt4" on the old Qt4-based
series, like as qmmp-qt4-0.* or qmmp-plugin-pack-qt4-0.*, then move them to
newly created ports that have the same pathnames of ports as before but added
"-qt4" suffix, and let new Qt5-based series, that are qmmp-1.* and
qmmp-plugin-pack-1.*, reside on the current pathnames of ports.  CONFLICT
term is set.
Comment 1 SimaMoto,RyōTa 2015-11-20 12:58:47 UTC
Created attachment 163352 [details]
new port & update

qmmp-1.0.2 and qmmp-0.9.4 are released
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 01:39:26 UTC
@Liangtai Can you please confirm this passes QA (portlint, poudriere)
Comment 3 SimaMoto,RyōTa 2015-11-27 23:47:50 UTC
I am sorry but I can test the ports report only at my old pentium2 PC.
It will take a half of week to get a result of i386 system setting
though I did start the inspection in a jailed virtual FreeBSD 10.1-
RELEASE machine last evening.  If I must take more examination in
other platforms, tell me please.
Comment 4 SimaMoto,RyōTa 2015-12-03 05:58:18 UTC
Created attachment 163795 [details]
new port & update (ok for 10.1preR)

Difference with the previous attachment 163352 [details]:

At multimedia/qmmp/Makefile, add missing dependency on Qt5X11Extras
as USE_QT5+= x11extras.
At multimedia/qmmp/Makefile and multimedia/qmmp-qt4/Makefile, replace
OPTIONS_MULTI with OPTIONS_GROUP to allow to disable all options as
the original product does.
Comment 5 SimaMoto,RyōTa 2015-12-03 06:05:40 UTC
Created attachment 163796 [details]
testcase log for multimedia/qmmp-qt4 on 10.1preR
Comment 6 SimaMoto,RyōTa 2015-12-03 06:07:45 UTC
Created attachment 163797 [details]
testcase log for multimedia/qmmp-plugin-pack-qt4 on 10.1preR
Comment 7 SimaMoto,RyōTa 2015-12-03 06:10:27 UTC
Created attachment 163798 [details]
testcase log for multimedia/qmmp on 10.1preR
Comment 8 SimaMoto,RyōTa 2015-12-03 06:14:10 UTC
Created attachment 163799 [details]
testcase log for multimedia/qmmp-plugin-pack on 10.1preR
Comment 9 SimaMoto,RyōTa 2015-12-22 12:35:53 UTC
Created attachment 164492 [details]
qmmp-1.0.4, qmmp-qt4-0.9.5, qmmp-plugin-pack-1.0.2, and qmmp-plugin-pack-qt4-0.9.3

Every product has been updated.  The latest released
versions are:
qmmp-1.0.4, qmmp-plugin-pack-1.0.2,
qmmp-qt4-0.9.5, and qmmp-plugin-pack-qt4-0.9.3 .

All tests for these port are also done successfully by
portlint and poudriere(10.1preR on i386).  I will submit
poudriere logs of them again if they are needed.
Comment 10 Olivier Duchateau freebsd_committer 2015-12-22 21:00:22 UTC
@Liangtai, you're ok, if Qmmp (multimedia/qmmp) keeps Qt4 support and new port will be renamed to multimedia/qmmp-qt5. I think it's better for users.
Comment 11 SimaMoto,RyōTa 2015-12-23 08:14:11 UTC
Created attachment 164538 [details]
qmmp-0.9.5, qmmp-qt5-1.0.4, qmmp-plugin-pack-0.9.3, and qmmp-plugin-pack-qt5-1.0.2

(In reply to Olivier Duchateau from comment #10)

Thank you for your immediate inspection on my report.
I agree your plan, and submit a patch here that creates new
ports with '-qt5' suffix for adding Qt5-based versions, and
updates the current existing ports for following the latest
Qt4-based versions.  Probably this patch is safe too, I hope,
though the poudriere tests of these changes did not generates
results yet.
Comment 12 Olivier Duchateau freebsd_committer 2015-12-23 18:29:24 UTC
Thanks, for update. However I didn't tested each option, but MPLAYER option seems wrong.

I mean, we can set/unset MPLAYER, but even if we unset MPLAYER, we must install one player, I think it's not correct, or I don't understand logic.

So I suggest this fix:

[...]
MISC_DESC=      Other features
OPTIONS_RADIO=  MPLAYER
OPTIONS_RADIO_MPLAYER=  MPLAYER1 MPLAYER2

[...]

MPLAYER1_DESC=  mplayer-1.1.x (multimedia/mplayer)
MPLAYER2_DESC=  mplayer-2.0.x (multimedia/mplayer2)
MPLAYER1_RUN_DEPENDS=   mplayer:${PORTSDIR}/multimedia/mplayer
MPLAYER1_IMPLIES=       MPLAYER
MPLAYER2_RUN_DEPENDS=   mplayer:${PORTSDIR}/multimedia/mplayer2
MPLAYER2_IMPLIES=       MPLAYER
MPLAYER_CMAKE_ON=       -DUSE_MPLAYER:BOOL=TRUE
MPLAYER_CMAKE_OFF=      -DUSE_MPLAYER:BOOL=FALSE

[...]

Instead to use OPTIONS_SINGLE, we can use OPTIONS_RADIO, and MPLAYER1/MPLAYER2 requires MPLAYER (*_IMPLIES variable), so even user unset MPLAYER, and if a player is selected MPLAYER option will be selected.
Comment 13 Olivier Duchateau freebsd_committer 2015-12-23 18:41:34 UTC
On my 9.3 poudriere, I get this error with multimedia/qmmp 0.9.5

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: lib/qmmp/Effect/libsrconverter.so
===> Error: Plist issues found.
*** [check-plist] Error code 1

Stop in /usr/ports/multimedia/qmmp.
====>> Error: check-plist failures detected

Full log here [1]. However SRCONV is enabled, perhaps it requires an another option (I don't use default list) [2]. 

[1] http://81.7.17.160/qmmp-0.9.5.log
[2] http://81.7.17.160/options-qmmp.txt
Comment 14 Olivier Duchateau freebsd_committer 2015-12-23 21:22:28 UTC
(In reply to Olivier Duchateau from comment #13)

Error is due to lack of audio/libsamplerate, fixed on my pousdriere machine.
Comment 15 SimaMoto,RyōTa 2015-12-25 10:13:08 UTC
(In reply to Olivier Duchateau from comment #12)

That is useful and sounds important.  My code was wrong.

PS: PORTS/audio/wildmidi/Makefile, that is one of
ports I maintain, also should be fixed by replacing
OPTIONS_SINGLE with OPTIONS_RADIO too.
Comment 16 commit-hook freebsd_committer 2015-12-25 17:39:25 UTC
A commit references this bug:

Author: olivierd
Date: Fri Dec 25 17:39:13 UTC 2015
New revision: 404443
URL: https://svnweb.freebsd.org/changeset/ports/404443

Log:
  - Update multimedia/qmmp to 0.9.5
  - Update multimedia/qmmp-plugin-pack to 0.9.3

  - Add multimedia/qmmp-qt5 (1.0.4)
  - Add multimedia/qmmp-plugin-pack-qt5 (1.0.2)

  Qmmp 0.9.x works only with Qt4, whereas 1.x switched to Qt5

  PR:		203948
  Submitted by:	<liangtai.s16@gmail.com> (maintainer)

Changes:
  head/multimedia/Makefile
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp/distinfo
  head/multimedia/qmmp/pkg-descr
  head/multimedia/qmmp/pkg-plist
  head/multimedia/qmmp-plugin-pack/Makefile
  head/multimedia/qmmp-plugin-pack/distinfo
  head/multimedia/qmmp-plugin-pack/pkg-descr
  head/multimedia/qmmp-plugin-pack/pkg-plist
  head/multimedia/qmmp-plugin-pack-qt5/
  head/multimedia/qmmp-plugin-pack-qt5/Makefile
  head/multimedia/qmmp-plugin-pack-qt5/distinfo
  head/multimedia/qmmp-plugin-pack-qt5/pkg-descr
  head/multimedia/qmmp-plugin-pack-qt5/pkg-plist
  head/multimedia/qmmp-qt5/
  head/multimedia/qmmp-qt5/Makefile
  head/multimedia/qmmp-qt5/distinfo
  head/multimedia/qmmp-qt5/pkg-descr
  head/multimedia/qmmp-qt5/pkg-plist
Comment 17 Olivier Duchateau freebsd_committer 2015-12-25 17:43:10 UTC
Committed with minor changes, thanks.